Diablo 2 not working on latest mac OS Catalina

Diablo 2 will no longer start after updating to mac OS 10.15, Catalina. I think this is because 32-bit apps are no longer supported. Will the game be updated so that it will work with the new OS?

87 Likes

Same problem. Thanks in advance Blizzard for recompiling into 64-bits :pray:

19 Likes

Is there a way to solve this problem? I just updated my Mac to the latest OS

5 Likes

I have installation question as well. I am using iMac and yesterday just purchase Diablo 2 but cannot install it due to version different. I am current using 10.15 version for iMac. Please help!!!

4 Likes

Our dev team is investigating the compatibility issue with Diablo 2 and 10.15 Catalina. We hope to have more details on this soon.

40 Likes

Same issue as above user. Please kindly resolve it soon!

1 Like

I noticed that the classic dev team is working on 64 bit for SC:R, hopefully this will eventually apply to D2.

1 Like

same here ~

We could use a virtual Windows machine as a temporary measure, but Mac users want to run Diablo 2 on Mac OS.
Please resolve it as soon as possible.

3 Likes

Please resolve soon! Really want to play this game badly

1 Like

I would love if this issue was resolved. I just updated my Mac today and I encountered the same problem just after two days of buying the game… Please, do something, we’re counting on the dev team!

2 Likes

Same here, please create a 64 bit version of D2

3 Likes

I just bought the game and x-pac a few weeks ago. I hope they provide an update soon.

2 Likes

So guys, any updates?

1 Like

You can just run 10.15 along with an older version like 10.14 or 10.13 and just install Diablo 2 on it for now while waiting to see if they will update it or not. You have to reboot while holding option key to switch between OS.

I can’t post a link apparently, this is my first ever post here. Go to apple’s website and select support and search for this article “Installing macOS on a separate APFS volume”.

Cool man, I’ll try it out! thanks

Hey @Kaldraydis… any updates yet? is Blizzard going to fix this? At least we want to know that much :slight_smile:

I have 10.13.6 and I just installed and got in. I clicked Battle net and it patched successfully. However now the problem is that it cannot even load to an opening screen and I just get the standard quit due to an unexpected error message every time. There is a similar issue for Warcraft 3, but I was able to find a temporary fix that worked:


Is this a similar issue?
1 Like

No, this is a different issue. Waiting for 64bit Catalina fix

1 Like

Having the same incompatibility issue. Please Blizzard resolve this ASAP!

1 Like